#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Data
%define		pnam	Locations
Summary:	Data::Locations - magic insertion points in your data
Summary(pl.UTF-8):	Data::Locations - magiczne punkty wstawiania w danych
Name:		perl-Data-Locations
Version:	5.5
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
# note: "5.2-fixed" doesn't work with perl 5.8.2, plain 5.2 does
Source0:	http://www.cpan.org/modules/by-module/Data/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f7d24507b1ac29dbfe414a03aff7c6bc
URL:		http://search.cpan.org/dist/Data-Locations/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Data::Locations - magic insertion points in your data.

%description -l pl.UTF-8
Data::Locations - magiczne punkty wstawiania w danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.txt CREDITS.txt README.txt
%{perl_vendorarch}/Data/Locations.pm
%dir %{perl_vendorarch}/auto/Data/Locations
%{perl_vendorarch}/auto/Data/Locations/Locations.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Data/Locations/Locations.so
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Data-Locations.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> a364ca4
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> f7c204a
- rel 4

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 793e5dc
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> bbbfff0
- release 2

* Tue Oct 20 2009 amateja <amateja@pld-linux.org> 5247bd5
- updated to 5.5

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 8991b2b
- release 3

* Sun Mar 23 2008 Jakub Bogusz <qboosh@pld-linux.org> ddb3c4b
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4a2c68e
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 99b5559
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1548762
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d740529
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 8be1a64
- formatting

* Mon Nov 01 2004 Adam Gołębiowski <adamg@pld-linux.org> 4073ca1
- updated to 5.4

* Mon Oct 25 2004 blaass <blaass@pld-linux.org> 65d34c8
- updated to 5.3

* Mon Apr 19 2004 ankry <ankry@pld-linux.org> b6f90a3
- license/description fixes

* Thu Dec 18 2003 Jakub Bogusz <qboosh@pld-linux.org> 57a317f
- revised License and doc, added tests and informative summaries

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> e14da69
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 087fc47
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 71d70c1
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 0188823
- massive attack s/pld.org.pl/pld-linux.org/

